Bug 257780 - security/openca-tools-forked: Remove port
Summary: security/openca-tools-forked: Remove port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Bowling
URL: https://github.com/openxpki/openca-to...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-12 01:00 UTC by Sergei Vyshenski
Modified: 2021-09-11 18:28 UTC (History)
2 users (show)

See Also:


Attachments
"git diff" to schedule the port for removal (507 bytes, patch)
2021-08-12 01:00 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
"git diff" to schedule the port for removal (840 bytes, patch)
2021-08-13 22:58 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-08-12 01:00:35 UTC
Created attachment 227124 [details]
"git diff" to schedule the port for removal

This software (and then this port created by myself) was used to 
provide SCEP functionality for a big port security/p5-openxpki.
It used a small fragment of a huge and very old project openca.
The author of openca helped with this:
https://github.com/openxpki/openca-tools-forked

Then project openxpki provided a new software libscep with 
its own original code:
https://github.com/openxpki/libscep

libscep (ported as two ports: 
security/libscep and security/p5-Crypt-LibSCEP)
is now used (as a dependency for main port security/p5-openxpki) 
instead of outdated port security/openca-tools-forked,
which is not supported by the upstream and does not build 
with modern versions of openssl.

This port does not have ports which depend on it.
Please remove port security/openca-tools-forked.
Comment 1 Sergei Vyshenski 2021-08-13 22:58:12 UTC
Created attachment 227171 [details]
"git diff" to schedule the port for removal
Comment 2 Kevin Bowling freebsd_committer 2021-09-11 18:28:28 UTC
Committed in https://cgit.freebsd.org/ports/commit/?id=2ecf0c037849c4591ebf6ab2d9269478306610da

Thanks for your contribution!